summaryrefslogtreecommitdiff
path: root/test/get-lists
diff options
context:
space:
mode:
Diffstat (limited to 'test/get-lists')
-rwxr-xr-xtest/get-lists57
1 files changed, 57 insertions, 0 deletions
diff --git a/test/get-lists b/test/get-lists
new file mode 100755
index 0000000..47d6dfd
--- /dev/null
+++ b/test/get-lists
@@ -0,0 +1,57 @@
+#!/usr/bin/perl -w
+#
+# rhrdlibs
+#
+# Copyright (C) 2015 Christian Pointner <equinox@helsinki.at>
+#
+# This file is part of rhrdlibs.
+#
+# rhrdlibs is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# any later version.
+#
+# rhrdlibs is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public License
+# along with rhrdlibs. If not, see <http://www.gnu.org/licenses/>.
+#
+
+use strict;
+use lib "../lib/";
+use RHRD::rddb;
+
+my ($dbh, undef, $errorstring) = RHRD::rddb::opendb();
+if(defined $dbh) {
+ print "Users:\n";
+ my @users = RHRD::rddb::list_users($dbh);
+ if(!defined $users[0] && defined $users[1]) {
+ print STDERR "$users[1]: $users[2]";
+ RHRD::rddb::closedb($dbh);
+ exit 1;
+ }
+ for my $user (@users) {
+ print " " . $user . "\n";
+ }
+
+ print "\nGroups:\n";
+ my @groups = RHRD::rddb::list_groups($dbh);
+ if(!defined $groups[0] && defined $groups[1]) {
+ print STDERR "$groups[1]: $groups[2]";
+ RHRD::rddb::closedb($dbh);
+ exit 1;
+ }
+ for my $group (@groups) {
+ print " " . $group . "\n";
+ }
+
+ RHRD::rddb::closedb($dbh);
+} else {
+ print "$errorstring\n";
+ exit 1;
+}
+
+exit 0